
// Simple test program to parse a P21 file and 

"use strict";

var mod = P21.readModel("workplan.p21", {

    init : function(model) {
	// Initialize the instances field of model.
	model.instances = {};
    },

    
    instance : function(model, eid, entity, params) {
	console.log ("EID="+eid+"; type="+entity);
	console.log ("    params="+P21.toP21String(params));
	
	model.instances[eid] = {entity: entity, params: params};
    },


    complex : function(model, eid, members) {
	console.log ("Complex instance: "+eid);
	for (var e in members) {
	    console.log ("  element:"+e+"=" +P21.toP21String(members[e]));
	}

	model.instances[eid] = {complex: members};
    }
    
});


// After reading the model, dump out the eid table we built
for (var eid in mod.instances) {
    console.log ("EID=#"+eid);
    
}

